Metadata

Metadata about the API, such as versions.

Get Available MongoDB Versions

get

Retrieves all MongoDB versions available for new MongoDB clusters.

Authorizations
AuthorizationstringRequired

For 'Basic' authentication, take your credentials by first combining the username and password with a colon (username:password) and then encoding the resulting string in base64 (YWxhZGRpbjpvcGVuc2VzYW1l).

Example Request Header

Authorization: Basic YWxhZGRpbjpvcGVuc2Vzl

More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Responses
chevron-right
200

Successful operation.

application/json

List of MongoDB versions.

get
/versions

Get API Version

get

Retrieves the current version of the responding API.

Authorizations
AuthorizationstringRequired

For 'Basic' authentication, take your credentials by first combining the username and password with a colon (username:password) and then encoding the resulting string in base64 (YWxhZGRpbjpvcGVuc2VzYW1l).

Example Request Header

Authorization: Basic YWxhZGRpbjpvcGVuc2Vzl

More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Responses
chevron-right
200

Successful operation.

application/json
namestringOptionalExample: v2.1
swaggerUrlstringOptionalExample: https://api.ionos.com/databases/mongodb/infos/assets/swagger-v2.1.yml
get
/infos/version

Get All API Versions

get

Retrieves all available versions of the responding API.

Authorizations
AuthorizationstringRequired

For 'Basic' authentication, take your credentials by first combining the username and password with a colon (username:password) and then encoding the resulting string in base64 (YWxhZGRpbjpvcGVuc2VzYW1l).

Example Request Header

Authorization: Basic YWxhZGRpbjpvcGVuc2Vzl

More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Responses
chevron-right
200

Successful operation.

application/json
namestringOptionalExample: v2.1
swaggerUrlstringOptionalExample: https://api.ionos.com/databases/mongodb/infos/assets/swagger-v2.1.yml
get
/infos/versions

Last updated

Was this helpful?